SDL_SetWindowAlwaysOnTop(3)

NAME
SDL_SetWindowAlwaysOnTop - Set the window to always be above the others.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetWindowAlwaysOnTop(SDL_Window *window, bool on_top);

DESCRIPTION
This will add or remove the window's

SDL_WINDOW_ALWAYS_ON_TOP flag. This will bring the window to the front and keep the window above the rest.

FUNCTION PARAMETERS

window
    the window of which to change the always on top state.

on_top
    true to set the window always on top, false to disable.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowFlags(3)